​
Select Service
ves-io-schema-service_policy_rule-API-List
Published April 5, 2023 | Last modified June 22, 2026
Examples of listing service_policy_rule
Usecase:
List service-policy-rule
Request using vesctl:
vesctl configuration list service_policy_rule --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: service-policy-rule-1 namespace: documentation statusSet: [] tenant: acmecorp uid: 6896a97c-0e40-44ba-8b39-4b19f2df98f4Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/service_policy_rules'curl response
HTTP/1.1 200 OKContent-Length: 451Content-Type: application/jsonDate: Fri, 19 Jun 2026 22:04:28 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "service-policy-rule-1", "uid": "6896a97c-0e40-44ba-8b39-4b19f2df98f4", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}